HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCheckoutSessionsSessionExpire

Contains the different functions to run the operation postCheckoutSessionsSessionExpire

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCheckoutSessionsSessionExpire.hs
valuepostCheckoutSessionsSessionExpire
  1. :: MonadHTTP m
  2. => Text

    session | Constraints: Maximum length of 5000

  3. -> Maybe PostCheckoutSessionsSessionExpireRequestBody

    The request body to send

  4. -> ClientT m (Response PostCheckoutSessionsSessionExpireResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/checkout/sessions/{session}/expire

<p>A Session can be expired when it is in one of these statuses: <code>open</code> </p>

<p>After it expires, a customer can’t complete a Session and customers loading the Session see a message saying the Session is expired.</p>

Defines the object schema located at paths./v1/checkout/sessions/{session}/expire.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCheckoutSessionsSessionExpire.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCheckoutSessionsSessionExpireResponseError is used.

Instances2Eq, Show